API Reference
/- Render Report Formats
List Report Requests
Create Report Request
Get Report Request
Get Report
Download Report
Render Report Formats
Triggers rendering of additional output formats for an existing report
Security
HTTPBearer
Base64-encoded HMAC-SHA256 hash of x-jiko-idempotency + request pathname + body, keyed with your shared secret. See Authentication for the full algorithm and a code sample.
- Sandbox serverhttps://your-partner-name.sandbox-api.jikoservices.com/api/v1/reports/{report_id}/formats/
- Production serverhttps://your-partner-name.partner-api.jikoservices.com/api/v1/reports/{report_id}/formats/
curl -i -X POST \
'https://your-partner-name.sandbox-api.jikoservices.com/api/v1/reports/{report_id}/formats/' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'x-jiko-idempotency: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \
-H 'x-jiko-signature: string' \
-d '{
"output_formats": [
"string"
],
"customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e"
}'